import okhttp3.*;

import java.time.Instant;
import java.util.UUID;

public class TimeBasedUUID {
    public static void main(String[] args) {
        OkHttpClient client = new OkHttpClient().newBuilder()
                .build();
        MediaType mediaType = MediaType.parse("application/json");
        RequestBody body = RequestBody.create(mediaType, "{\r\n  \"date\": \"2025-04-29\",\r\n  \"search\": \"\",\r\n  \"locationId\": [],\r\n  \"capacity\": [],\r\n  \"deviceType\": [],\r\n  \"roomType\": [\r\n    -1\r\n  ],\r\n  \"appoint_time\": \"\",\r\n  \"status\": 1,\r\n  \"page\": 1,\r\n  \"page_size\": 16\r\n}");
        Request request = new Request.Builder()
                .url("http://182.43.247.65:8000/Conference/getRoomsByLocation")
                .method("POST", body)
                .addHeader("Content-Type", "application/json")
                .build();
        try {
            Response response = client.newCall(request).execute();
            System.out.println(response.body().string());
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
